ddn-ime-evaluation/benchmark/config.sh

72 lines
2.2 KiB
Bash
Raw Normal View History

2018-11-13 11:44:52 +00:00
#!/bin/bash
hostname=$(hostname)
2018-11-15 08:21:56 +00:00
2018-11-13 11:44:52 +00:00
if [[ "isc17" == ${hostname:0:5} ]]; then
2018-12-11 21:30:58 +00:00
export MODULEPATH=/gsfs/jtacquaviva/software/modules:$MODULEPATH
2018-11-13 11:44:52 +00:00
module purge
module load ddn/mvapich/3.1.4
2018-11-13 15:07:38 +00:00
module load root/hdf5/1.10.4
2018-12-11 21:30:58 +00:00
#module load root/ior/git-20181107
module load root/ior/git-20181123
2018-11-14 11:27:24 +00:00
#module list
2018-12-11 21:30:58 +00:00
export TD="/gsfs/jtacquaviva/testfiles"
export WD="/gsfs/jtacquaviva/git/ddn-ime-evaluation/benchmark"
2018-12-17 09:36:47 +00:00
export NODES=( c02 c03 c04 c05 c06 c08 c09 c11 c12 c13 c14 c15 c18 c22 c23 c01 c16 c17 c21 )
2018-11-15 08:21:56 +00:00
2018-11-13 11:44:52 +00:00
elif [[ "m" == ${hostname:0:1} ]]; then
. /sw/rhel6-x64/tcl/modules-3.2.10/Modules/3.2.10/init/sh
export MODULEPATH=$MODULEPATH:/work/ku0598/k202107/software/modules
module purge
module load intel/18.0.2
module load fca/2.5.2431
module load mxm/3.4.3082
module load bullxmpi_mlx_mt/bullxmpi_mlx_mt-1.2.9.2
module load k202107/hdf5/1.10.4
module load k202107/ior/git-20181108
2018-11-14 11:27:24 +00:00
#module list
2018-11-13 11:44:52 +00:00
export TD="/mnt/lustre01/work/ku0598/k202107/git/ddn-ime-evaluation/benchmark/wd"
export WD="/mnt/lustre01/work/ku0598/k202107/git/ddn-ime-evaluation/benchmark"
2018-11-13 14:48:24 +00:00
export NODES=()
2018-11-13 11:44:52 +00:00
else
2018-11-14 11:27:24 +00:00
echo "Configuration failed: Cluster $hostname is not supported. Quitting."
2018-11-13 11:44:52 +00:00
exit 1
fi
2018-11-13 14:48:24 +00:00
2018-11-15 08:21:56 +00:00
# Provides a list of good hosts (that contains QDR connection)
function hosts() {
num="$1"
hlist=${NODES[0]}
for POS in $(seq 1 $(($num - 1))) ; do
hlist="$hlist,${NODES[$POS]}"
done
echo $hlist
}
2018-11-13 15:31:32 +00:00
# Lustre cache on DDN cluster ist 32108MB. Test file has to be at least twice as large therefore: DATASIZE = 76800MB
2018-11-14 11:27:24 +00:00
#DATASIZE=$((4800 * 1024 * 1024 * 16))
DATASIZE=$((48000 * 1024 * 1024 * 16))
2018-11-13 11:44:52 +00:00
2018-12-17 09:36:47 +00:00
#COUNT_ARR=( $(seq 3) )
2018-12-19 12:29:49 +00:00
COUNT_ARR=( 1 2 3 )
TYPE_ARR=( "write" )
2018-12-17 09:36:47 +00:00
API_ARR=( "IME") # "MPIIO" "IME" ) #
FS_ARR=( "ime") # "gpfs" "fuse" "ime"
2018-12-19 12:29:49 +00:00
NN_ARR=( 8 4 2 1 14 16 )
2018-12-14 11:47:48 +00:00
#NN_ARR=( 2 1 4 )
2018-12-19 12:29:49 +00:00
PPN_ARR=( 8 4 1 )
2018-11-13 15:07:38 +00:00
T_ARR=( $((10*1024*1024)) $((1*1024*1024)) $((100*1024)) $((16*1024)) )
2018-11-13 14:48:24 +00:00
2018-11-13 11:44:52 +00:00
export IOR="$(which ior)"
export MPIEXEC="$(which mpiexec)"
2018-11-13 15:07:38 +00:00
type ior >/dev/null 2>&1 || { echo >&2 "I require ior but it's not installed. Aborting."; exit 1; }
type mpiexec >/dev/null 2>&1 || { echo >&2 "I require mpiexec but it's not installed. Aborting."; exit 1; }